1. Credit Card Issuer
TrustPay
en
  • en
  • zh
  • Integration Guide
  • Payment Gateway
    • Payment Callback Specification
    • Enums
    • Risk Control – Merchant Integration
    • C21 Suport Regions
      • TrustPay Supported Billing Countries and US/Canada Regions
    • Card Direct Payin
      POST
    • Cashier Payin
      POST
    • Payment Callback
      POST
    • Balance
      POST
    • Order Query
      POST
    • Order Refund
      POST
    • Fee Query
      POST
  • Credit Card Issuer
    • Available Card
      POST
    • Open Card
      POST
    • Open/Recharge Card Callback
      POST
    • Get Card Detail
      POST
    • Card Recharge
      POST
    • Order List
      POST
    • Card List
      POST
    • Transaction List
      POST
    • Fee Query
      POST
  • Physical Card Issuer
    • Create Cardholder
      POST
    • List Cardholders
      POST
    • Assign Physical Cards
      POST
    • List Assigned Physical Cards
      POST
    • Query Card Balance
      POST
    • Query Card Transactions
      POST
    • Query Account
      POST
    • Card Charge
      POST
  • Schemas
    • VCardDetail
    • VOrderDetail
  1. Credit Card Issuer

Order List

POST
/v3/vcard/charges

Request

Body Params application/jsonRequired

Examples

Responses

🟒200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.trustpay.money/v3/vcard/charges' \
--header 'Content-Type: application/json' \
--data '{
    "page": 1,
    "page_size": 20,
    "sign": ""
}'
Response Response Example
{
    "code": 880001,
    "message": "success",
    "data": {
        "items": [
            {
                "order_no": "VC2026031219d38db6",
                "card_id": 5,
                "charge_type": "CARD_CHARGE",
                "amount": 30,
                "fee": 11,
                "balance": 19,
                "chain": "BSC",
                "deposit_address": "0xeef1c4dd50351067694e6060235398c8293e4bd7",
                "status": 2,
                "created_at": "2026-03-12T14:05:52.408502+08:00",
                "updated_at": "2026-03-12T14:05:52.408503+08:00"
            }
        ],
        "total": 1
    }
}
Modified atΒ 2026-03-17 13:44:01
Previous
Card Recharge
Next
Card List
Built with